CC       = CL
CFLAGS   = -WL -EHsc -nologo -TP
LFLAGS   = -WL -EHsc -nologo
RMDIR    = l:\libcpp\ms
NLDIR    = l:\nlmdl
MDLDIR   = .

NLOBJ = nlmdl.obj status.obj display.obj model.obj 

nlmdl.exe       : $(NLOBJ) $(RMDIR)\libcpp.lib
        $(CC) $(LFLAGS) -Fenlmdl $(NLOBJ) $(RMDIR)\libcpp.lib

nlmdl.obj       : $(NLDIR)\nlmdl.cc $(NLDIR)\nlmdl.opr $(MDLDIR)\model.h $(NLDIR)\nlmdl.h $(NLDIR)\status.h $(RMDIR)\usual.h $(RMDIR)\realmat.h $(RMDIR)\tools.h
        $(CC) $(CFLAGS) -c -I$(MDLDIR) -I$(NLDIR) -I$(RMDIR) $(NLDIR)\nlmdl.cc 

model.obj       : $(MDLDIR)\model.cc $(MDLDIR)\model.h $(NLDIR)\nlmdl.h $(NLDIR)\status.h $(RMDIR)\usual.h $(RMDIR)\realmat.h $(RMDIR)\tools.h
        $(CC) $(CFLAGS) -c -I$(MDLDIR) -I$(NLDIR) -I$(RMDIR) $(MDLDIR)\model.cc 

status.obj      : $(NLDIR)\status.cc $(NLDIR)\status.h $(RMDIR)\usual.h $(RMDIR)\realmat.h $(RMDIR)\tools.h 
        $(CC) $(CFLAGS) -c -I$(MDLDIR) -I$(NLDIR) -I$(RMDIR) $(NLDIR)\status.cc 

display.obj     : $(NLDIR)\display.cc $(NLDIR)\status.h $(RMDIR)\usual.h $(RMDIR)\realmat.h $(RMDIR)\tools.h 
        $(CC) $(CFLAGS) -c -I$(MDLDIR) -I$(NLDIR) -I$(RMDIR) $(NLDIR)\display.cc 

clean   :
        rm -f *.obj

veryclean       :
        del *.obj
        del nlmdl.exe
        del detail.dat 
        del ending.dat 
        del tmp.dat

